Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.config.property
Class PropertyKernelConfig

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.config.AbstractKernelConfig
                  org.jboss.kernel.plugins.config.property.PropertyKernelConfig

All Implemented Interfaces:
  KernelConfig, KernelEventEmitter, KernelObject

public class PropertyKernelConfig
extends AbstractKernelConfig

Kernel configuration using properties.

Version:
  $Revision: 1.8 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary
`protected Properties` | `properties` The properties

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`PropertyKernelConfig(Properties properties)` Create a configuration

Method Summary
`KernelBus` | `createKernelBus()` Create a kernel bus
`KernelConfigurator` | `createKernelConfigurator()` Create a kernel configurator
`KernelController` | `createKernelController()` Create a kernel controller
`KernelEventManager` | `createKernelEventManager()` Create a kernel event manager
`KernelInitializer` | `createKernelInitializer()` Create a kernel initializer
`KernelRegistry` | `createKernelRegistry()` Create a kernel registry
`protected BeanMetaData` | `getBeanMetaData(BeanInfo info, String className)` Get the bean metadata for the class
`protected Object` | `getImplementation(String type, String defaultType)` Get the implementation for a type
`protected void` | `initializeProperties()`

Methods inherited from class org.jboss.kernel.plugins.config.AbstractKernelConfig
`createDefaultBeanInfoFactory, createDefaultClassAdapterFactory, getBeanInfo, getBeanInfo, getBeanInfoFactory, getClassAdapterFactory, getClassInfo, getClassInfo`

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel, setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Field Detail

### properties

    protected Properties properties

  The properties

Constructor Detail

### PropertyKernelConfig

    public PropertyKernelConfig(Properties properties)
                         throws Exception

  Create a configuration

Parameters:
  `properties` - the properties

Method Detail

### initializeProperties

    protected void initializeProperties()

### createKernelBus

    public KernelBus createKernelBus()
                              throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel bus

  Returns:
    the kernel bus
  Throws:
    `Throwable` - for any error

### createKernelConfigurator

    public KernelConfigurator createKernelConfigurator()
                                                throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel configurator

  Returns:
    the kernel configurator
  Throws:
    `Throwable` - for any error

### createKernelController

    public KernelController createKernelController()
                                            throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel controller

  Returns:
    the kernel controller
  Throws:
    `Throwable` - for any error

### createKernelEventManager

    public KernelEventManager createKernelEventManager()
                                                throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel event manager

  Returns:
    the kernel event manager
  Throws:
    `Throwable` - for any error

### createKernelInitializer

    public KernelInitializer createKernelInitializer()
                                              throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel initializer

  Returns:
    the kernel initializer
  Throws:
    `Throwable` - for any error

### createKernelRegistry

    public KernelRegistry createKernelRegistry()
                                        throws Throwable

  Description copied from interface: `KernelConfig`
  Create a kernel registry

  Returns:
    the kernel registry
  Throws:
    `Throwable` - for any error

### getImplementation

    protected Object getImplementation(String type,
                                       String defaultType)
                                throws Throwable

  Get the implementation for a type

  Parameters:
    `type` - the type
    `defaultType` - the default implementation
  Returns:
    the implementation object
  Throws:
    `Exception` - for any error
    `Throwable`

### getBeanMetaData

    protected BeanMetaData getBeanMetaData(BeanInfo info,
                                           String className)
                                    throws Exception

  Get the bean metadata for the class

  Parameters:
    `info` - the bean info
    `className` - the class
  Returns:
    the metadata
  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.